<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getTotalScriptIncome](./bitburner.ns.gettotalscriptincome.md)

## NS.getTotalScriptIncome() method

Get the income of all scripts.

**Signature:**

```typescript
getTotalScriptIncome(): [number, number];
```
**Returns:**

\[number, number\]

An array of two values. The first value is the total income (dollar / second) of all of your active scripts (scripts that are currently running on any server). The second value is the total income (dollar / second) that you’ve earned from scripts since you last installed Augmentations.

## Remarks

RAM cost: 0.1 GB

